<jsp:directive.page pageEncoding="UTF-8" />
<jsp:scriptlet>
	// printRequest.jsp は、javax.servlet.ServleRequest のサブクラスのことです。
	// JSP では、request オブジェクトでアクセスできます。
	// スコープは、request です。
</jsp:scriptlet>

<b>ServleRequest ParameterNames</b><br />
<table border="2" frame="box" rules="all" >
<tr><th>KEY</th><th>VALUE</th></tr>
<jsp:scriptlet>
	if( true ) {
		java.util.Enumeration enum1 = request.getParameterNames();
		while( enum1.hasMoreElements() ) {
			String key = (String)(enum1.nextElement());
			for( String value : request.getParameterValues( key ) ) {
</jsp:scriptlet>
<tr><td><%= key %>:</td><td style="white-space: normal"><%= value %></td></tr>
<jsp:scriptlet>
		    }
		}
	}
</jsp:scriptlet>
</table>
<br />

<b>ServleRequest AttributeNames</b><br />
<table border="2" frame="box" rules="all" >
<tr><th>KEY</th><th>VALUE</th></tr>
<jsp:scriptlet>
	if( true ) {
		java.util.Enumeration enum1 = request.getAttributeNames();
		while( enum1.hasMoreElements() ) {
			String key = (String)(enum1.nextElement());
		    Object objects = request.getAttribute( key );
</jsp:scriptlet>
<tr><td><%= key %>:</td><td style="white-space: normal"><%= objects %></td></tr>
<jsp:scriptlet>
		}
	}
</jsp:scriptlet>
</table>
<p><!-- --></p>